Bug 1294252 - Man page for bsdtar(1) claims that it is for tar(1)
Summary: Man page for bsdtar(1) claims that it is for tar(1)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libarchive
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-25 21:47 UTC by Tim Landscheidt
Modified: 2023-09-14 03:15 UTC (History)
2 users (show)

Fixed In Version: libarchive-3.1.2-17.fc24 libarchive-3.1.2-15.fc23 libarchive-3.1.2-14.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-14 23:26:34 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tim Landscheidt 2015-12-25 21:47:40 UTC
bsdtar-3.1.2-14.fc23.x86_64's /usr/share/man/man1/bsdtar.1.gz consistently refers to the executable "tar" while it should refer to "bsdtar" instead.

Comment 1 Fedora Update System 2016-05-12 09:16:33 UTC
libarchive-3.1.2-17.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-760bd8b6a5

Comment 3 Fedora Update System 2016-05-12 09:38:02 UTC
libarchive-3.1.2-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8491ec1ebd

Comment 4 Fedora Update System 2016-05-12 09:38:25 UTC
libarchive-3.1.2-14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c34099d3

Comment 5 Fedora Update System 2016-05-12 22:26:59 UTC
libarchive-3.1.2-17.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-760bd8b6a5

Comment 6 Fedora Update System 2016-05-13 05:25:55 UTC
libarchive-3.1.2-14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c34099d3

Comment 7 Fedora Update System 2016-05-13 05:32:06 UTC
libarchive-3.1.2-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8491ec1ebd

Comment 8 Fedora Update System 2016-05-14 23:26:29 UTC
libarchive-3.1.2-17.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Pavel Raiskup 2016-05-16 06:09:02 UTC
From F23 bodhi update page, @scfc (Tim?) wrote:

Thanks for the review!

> Unfortunately, the automatic replacing misses three spots where "bsdtar" is
> meant:
> 
>   1. In the manual title, "TAR(1)" (".Dt TAR 1").

Fixed (rawhide-only) by 20b4c54be15a28d8ab522e3c13104b30abb5ddd3.

>   2. In a command example, "$ tar -cvf output.tar @input.mtree" (".Dl $ tar
>      -cvf output.tar @input.mtree").

This deserves upstream pull request, but I'm not sure how to fix this (patching
is not a way to go - we need to have general way how to deal with those 'bsdtar'
references).  Time, can you help here?  I have looked at 'man 7 groff' .. but
not successful.

>   3. In the section "Compatibility", "For maximum portability, scripts that
>      invoke tar should use the bundled-argument format above, […]".
> 
> I looked at all other matches of "\b(bsd)?tar\b" and they appeared correct
> to me.

This does look like expected reference to any 'tar' command.

Comment 10 Fedora Update System 2016-05-16 22:26:05 UTC
libarchive-3.1.2-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-05-31 09:22:26 UTC
libarchive-3.1.2-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Red Hat Bugzilla 2023-09-14 03:15:24 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.